Create a webhook
Creates a new webhook definition and returns the persisted record with its server-assigned id. The webhook fires immediately for matching events once created; set enabled=false in the request body to create it in a disabled state.
Authorizations
Body
WebhookCreateRequest object
Body of a POST /v6/webhooks request.
Choose between static or dynamic name. Buildtime expressions use WebhookBuildtimeContext.
Choose between static or dynamic url. Buildtime expressions use WebhookBuildtimeContext.
Choose between static or dynamic client key id. Buildtime expressions use WebhookBuildtimeContext.
Choose between static or dynamic default method. Buildtime expressions use WebhookBuildtimeContext.
Choose between static or dynamic description. Buildtime expressions use WebhookBuildtimeContext.
Choose between static or dynamic enabled. Buildtime expressions use WebhookBuildtimeContext.
Choose between static or dynamic request. Buildtime expressions use WebhookBuildtimeContext. Runtime expressions use WebhookRuntimeContext.
Choose between static or dynamic response body handler. Buildtime expressions use WebhookBuildtimeContext. Runtime expressions use WebhookResponseContext.
if no webhook response status is provided, we will retry non 2xx webhook requests. Buildtime expressions use WebhookBuildtimeContext. Runtime expressions use WebhookResponseContext.
Choose between static or dynamic retry intervals. Buildtime expressions use WebhookBuildtimeContext.
RFC 5545 duration string.
^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$CLIENT, GENERIC, PARTNER, REWARD Response
Successful response
- Option 1
- Option 2
- Option 3
- Option 4
Stored client webhook definition. Fields name, url, client_key_id, request, response_handler, enabled, description, default_method, and retry_intervals are unevaluated and appear in buildtime-evaluatable form.
The client key id as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
The default method as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
The description as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
The enabled as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
The name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
The request as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext. Runtime expressions use WebhookRuntimeContext.
if no webhook response status is provided, we will retry non 2xx webhook requests. Buildtime expressions use WebhookBuildtimeContext. Runtime expressions use WebhookResponseContext.
The retry intervals as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
RFC 5545 duration string.
^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$CLIENT RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
The url as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
